Browse Source

--user flag added in Makefile. Added a pyproject.toml file. setup.cfg fixed.

master
Alexander Andreev 1 year ago
parent
commit
df78739a36
  1. 4
      Makefile
  2. 3
      pyproject.toml
  3. 31
      setup.cfg

4
Makefile

@ -1,7 +1,7 @@
build: piggybank
build: piggybank setup.cfg README.md
python setup.py sdist bdist_wheel
install:
python -m pip install --upgrade dist/piggybank-1.0.0-py3-none-any.whl
python -m pip install --upgrade dist/piggybank-1.0.0-py3-none-any.whl --user
uninstall:
python -m pip uninstall piggybank
clean:

3
pyproject.toml

@ -0,0 +1,3 @@
[build-system]
requires = ["setuptools", "wheel"]
build-backend = "setuptools.build_meta"

31
setup.cfg

@ -1,43 +1,52 @@
[metadata]
name = piggybank
version = attr: piggybank.__version__
description =
Keep track of your piggy bank by writting down quantity of coins you put,
not just sums. So you know how much coins you have in there.
description = Keep track of your piggy bank
long_description = file: README.md
long_description_content_type = text/markdown
long_description_content_type = text/markdown; charset=UTF-8
author = attr: piggybank.__author__
author_email = attr: piggybank.__email__
url = https://arav.top
keywords =
coin box
coins
piggy bank
coin box
savings
license = WTFPL 2.0
license_file = COPYING
platforms=OS Independent
platforms = any
classifiers =
Development Status :: 5 - Production/Stable
Environment :: Console
Operating System :: OS Independent
License :: Other/Proprietary License
Intended Audience :: End Users/Desktop
License :: Public Domain
Natural Language :: English
Operating System :: OS Independent
Programming Language :: Python
Programming Language :: Python :: 3
Programming Language :: Python :: 3 :: Only
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8
Programming Language :: Python :: 3.9
Topic :: Office/Business :: Financial :: Accounting
[options]
zip_safe = False
python_requires = >=3.6
include_package_data = True
setup_requires =
setuptools
packages = find:
python_requires = >=3.6
zip_safe = False
[options.package_data]
* = COPYING, README.md
[sdist]
formats = gztar
[options.entry_points]
console_scripts =
piggybank-put = piggybank.cli.put:main
piggybank-take = piggybank.cli.take:main
piggybank-show = piggybank.cli.show:main
piggybank-take = piggybank.cli.take:main

Loading…
Cancel
Save